/* 
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * Copyright (c) LinuxMagic Inc. 2011-2013 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc. 
 *
 * The Original Code is distributed on an 'AS IS' basis, 
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC 
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY 
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET 
 * ENJOYMENT OR NON-INFRINGEMENT. 
 *
 * Do NOT download, distribute, use or alter this software or file in any 
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): Sean West <sean@linuxmagic.com>
 *            Peter Chung <peterc@linuxmagic.com>
 * $Id: limit-integer.js 2071 2014-02-24 17:54:53Z shaun $
 */

//! limit a control to typing only integers
/*
 * @param object obj the object to limit
 *
 * @return none
 *
 * Author(s): Sean West <sean@linuxmagic.com>
 *            Peter Chung <peterc@linuxmagic.com>
 */
function limitInteger(obj) {
    if (!obj) {
        return;
    }
    var val = obj.value;
    if (val.length == 0) {
        return;
    }
    val = parseInt(val);
    if (isNaN(val)) {
        obj.value = "";
    } else {
        obj.value = val;
    }
}

