// we want to set a global variable 
var alertID = 0;

function startUpgrade() {
    // loop through our 'status' check
    var intervalid = window.setInterval(function() {
        var msgbox = document.getElementById('upgradeMessageBox');
        var status_request = getAjaxHandle();
        if (!status_request) {
            alert("Sorry but your browser does not support AJAX or JavaScript is disabled");
            document.body.style.cursor = "auto";
            return;
        }
        status_request.open("POST", window.location.href, true);
        status_request.setRequestHeader(
            'Content-Type',
            'application/x-www-form-urlencoded; charset=UTF-8'
        );
        status_request.send('module=packageUpgrade&output_only=1&ms_action=status_update');

        status_request.onreadystatechange = function() {
            if (status_request.readyState == '4' && status_request.status == '200') {
                if (status_request.responseText.substring(0,4) == 'XXX:') {
                    clearInterval(intervalid);
                    msgbox.innerHTML = status_request.responseText.substring(4);
                    msgbox.removeAttribute('class');
                    document.body.style.cursor = 'auto';
                } else if(status_request.responseText.substring(0,4) == 'ERR:') {
                    clearInterval(intervalid);
                    msgbox.innerHTML = status_request.responseText.substring(4);
                    msgbox.removeAttribute('class');
                    document.body.style.cursor = 'auto';
                } else if (status_request.responseText.length > 0) {
                    msgbox.innerHTML = status_request.responseText;
                }
            }
        }
    }, 500);

    // prepare our ajax call
    var upgrade_request = getAjaxHandle();
    if (!upgrade_request) {
        alert("Sorry but browser does not support AJAX or JavaScript is disabled");
        return;
    }
    document.body.style.cursor = "wait";
    var msgbox = document.getElementById('upgradeMessageBox');
    
    if (msgbox.className) {
        msgbox.className = 'processing';
    }
    msgbox.setAttribute('class', 'processing');
    msgbox.innerHTML = ''; 
    // post the initial upgrade request
    upgrade_request.open("POST", window.location.href, true);
    upgrade_request.setRequestHeader(
        'Content-Type',
        'application/x-www-form-urlencoded; charset=UTF-8'
    );
    upgrade_request.send('module=packageUpgrade&output_only=1&ms_action=run_upgrade');

    // at this stage, there is not much we care about  - the rest is taken care of by the
    // status poller we already started
}

function cancelUpgrade() {
    var overlay = document.getElementById('upgradeOverlay');
    if (overlay) {
        overlay.style.display = 'none';
    }    
}

function showUpgrade(msgid) {
    var overlay = document.getElementById('upgradeOverlay');
    if (overlay) {
        overlay.style.display = 'block';
    }
    alertID = msgid;
}

function completeUpgrade() {
    doFormSubmit({hiddenFields:{'module':'magicspamAlert','submodule':'systemAlert','ms_action':'mark_upgrade_read','feed_items[]':alertID}});
}
