// on page load, we want to send out our ajax request to set the time zone.
addLoadEvent(function() {
    var prevcookie = document.cookie;
    var today = new Date();
    // find out what the time zone would be in January
    var jan = new Date(today.getFullYear(), 0, 1);
    // and again in july
    var jul = new Date(today.getFullYear(), 6, 1);

    var maxoffset = Math.max(jan.getTimezoneOffset(), jul.getTimezoneOffset());
    var dstdiff = jul.getTimezoneOffset() - jan.getTimezoneOffset();

    if (!prevcookie || !prevcookie.length || prevcookie.indexOf('tzoffset=') == -1) {
        var offset = today.getTimezoneOffset();

        if (offset != maxoffset) {
            // daylight savings time detected.
            // we have to invert the offset due to the crazy way JS works...
            offset = offset * -1;
            offset += dstdiff;
        }
        // we have to invert the offset due to the crazy way JS works...
        offset = offset * -1;

        document.cookie = "tzoffset=" + offset;
        location.reload();
    }
});
