<?php
/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * This file is part of MagicSpam (TM) Project and is
 * Copyright (c) LinuxMagic Inc. 2009-2019 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc. 
 *
 * The Original Code is distributed on an 'AS IS' basis, 
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC 
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY 
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET 
 * ENJOYMENT OR NON-INFRINGEMENT. 
 *
 * Do NOT download, distribute, use or alter this software or file in any 
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): Shaun A. Johnson <shaun@linuxmagic.com>
 *
 * $Id: config.php 5218 2015-11-19 21:11:12Z shaun $
 */
// define our required suite specific constants
define ('MAGICSPAM_VERSION' ,'2.1-8.3');
define ('MAGICSPAM_SUITE' ,'MagicSpam Zimbra Plus');
define ('MAGICSPAM_PACKAGE' , MAGICSPAM_SUITE . ' ' . MAGICSPAM_VERSION);
define ('IMAGEPATH'         ,'images/'); 
define ('IS_PROFESSIONAL'   , 1);
define ('ALERT_FEED_ID'     ,13);
// TODO: there's been discussion of two values for lifetime of this.
define ('ALERT_FEED_ENTRY_LIFETIME_DAYS'     ,180);
define ('NEWS_FEED_ID'      ,5);
// TODO: there's been discussion of two values for lifetime of this.
define ('NEWS_FEED_ENTRY_LIFETIME_DAYS'     ,90);

define ('BINDIR'            ,'/usr/share/magicspam/bin/');
define ('LICENSE_MANAGER'   ,BINDIR . 'license_manager');
define ('REGISTER'          ,BINDIR . 'register');
define ('UPDATER'           ,BINDIR . 'magicspam-updater');
define ('REPLAYER'          ,BINDIR . 'magicspam-replayer');
define ('LIST_MANAGER'      ,BINDIR . 'magicspam-listmgr');
define ('REJECTIONS_MANAGER',BINDIR . 'magicspam-rejections');
define ('RL_MANAGER'        ,BINDIR . 'magicspam-rlmanager');
define ('PKG_UPDATER'       ,BINDIR . 'package-updater');
define ('PKG_UPDATE_ARGS'   ,' -o -a ');
define ('SECURE_BIN'        ,BINDIR . 'magicspam-secure');
define ('GEOIP_BIN'         ,BINDIR . 'magicspam-geoip');

define ('LOGDIR'            ,'/var/log/magicspam/');
// TODO: these are also defined in C... can we have them in one
//   location and code-generate to consolidate?
define ('COUNTER_PATH'      ,LOGDIR . '.counterv2.dat');
define ('REJECTIONS'        ,'/etc/magicspam/rejections/');

define ('MASTERCONTROLDIR'  ,'/etc/magicspam/control/');
define ('CONTROLDIR'        ,'/etc/magicspam/control/');
define ('DATA_PATH',        '/etc/'); // where to write all the data
define ('BMS_ENABLED',      'bms.enabled');
define ('BMS_FLAG',         'bms.flagonly');
define ('RBL_ENABLED',      'rbl.enabled');
define ('RBL_AVAILABLE',    'rbl.available');
define ('RBL_FLAG',         'rbl.flagonly'); // not used yet!
define ('RULES_ENABLED'     ,'rules.enabled');
define ('RULES_FLAG',       'rules.flagonly');
define ('CONFIG_FILE'       ,'/etc/magicspam/control/config');
define ('UPDATE_STAT_FILE'  ,'/tmp/magicspam_upgrade_status');
define ('SVC_CHECK'         ,BINDIR . 'check-service.sh');
define ('SVC_START'         ,BINDIR . 'start-service.sh');
define ('BMS_CHECK'         ,BINDIR . 'magicspam-bms-check');

// interface specific lookup variables.
define ('PHPDIR'            ,'/usr/share/magicspam/php/');
define ('LOCALES'           ,PHPDIR . 'locales/');
define ('MODULES'           ,PHPDIR . 'modules/');
define ('MS_TEMPLATE_DIR'   ,PHPDIR . 'templates/');
define ('ISWINDOWS'         ,0);

// the default 'recommended' lists for server level blocking
$recommended_bms = array('13','36','37','38', '40');

$recommended_rbl = array('Rats-NOPTR','Rats-SPAM');

$recommended_rules = array(
                           'block_ip_in_addr'
                          ,'check_ip_reverse_dns'
                          ,'check_confirmed_dyna'
                          ,'require_full_addr'
                          ,'valid_from_domain'
                          ,'require_helo'
                          ,'valid_helo_domain'
                          ,'valid_ptr'
                          ,'known_sender_forgery'
                        );

// define the pages that the interface for this suite should display.
$pages = array(
                'dashboard'
               ,'log'
               ,'stats'
               ,'settings'
               ,'securitySettings'
               ,'magicspamAlert'
               ,'support'
               ,'serverPolicies'
               ,'logout'
               ,'login'
               ,'serviceStatus'
               ,'replay'
               );

$MS_FULL_PAGE_RENDERING = TRUE;
