<?php
/*
 * COPYRIGHT INFORMATION - DO NOT REMOVE
 *
 * This file is part of the MagicSpam (TM) Product line and is
 * Copyright (c) LinuxMagic Inc. 2008-2018 All Rights Reserved
 *
 * This file contains Original Code as created by LinuxMagic Inc.
 *
 * The Original Code is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LINUXMAGIC
 * HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
 * ENJOYMENT OR NON-INFRINGEMENT.
 *
 * Do NOT download, distribute, use or alter this software or file in any
 * way without express written permission from LinuxMagic Inc. or its parent
 * company Wizard Tower TechnoServices signed by an authorized company officer.
 *
 * Author(s): Shaun A. Johnson <shaun@linuxmagic.com>
 *
 * $Id: feExemptionModule.php 4785 2015-03-13 20:42:37Z shaun $
 */
require_once("lib.module.php");

class feSecuritySettingsModule extends Module {
    //! class constructor
    public function __construct($l) {
        parent::__construct($l, TRUE);
        $this->submodules = array(
            'countryAuth',
        );

        foreach ($this->submodules as $m) {
            loadModule($m);
        }
    }

    public function getPageTitle() {
        return intl('feSecuritySettings'); 
    }

    //! method to process any actions and react accordingly.
    public function actionProcessor($action, &$errors, &$notices) {
        global $modules;
        $subModule = isset($_POST['submodule']) ? $_POST['submodule'] : NULL;
        if (isset($subModule) && isset($modules[$subModule]) && in_array($subModule, $this->submodules)) {
            $modules[$subModule]->actionProcessor($action, $errors, $notices);
        }
    }

    //! method to render the full page module
    public function renderModule() {
        global $modules;

        // as this is a top level module, we make sure we render out the menu tabs
        renderMenu();

        foreach ($this->submodules as $m) {
            if (!isset($modules[$m])) {
                continue;
            }
            $modules[$m]->renderModule();
        }
    }

    //! method to retrieve any 'optional' CSS files to include in the page rendering.
    public function getCSS() {
        return array_merge(array('list-forms.css', 'user-settings.css'), $this->subModuleCSS());
    }

    //! method to retrieve any 'optional' JS files to include in the page rendering.
    public function getJS() {
        return $this->subModuleJS();
    }
}
